%define name wizdrake
%define version 2.1.5
%define release 1mdk

Summary: Wizard Launcher
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%{release}.tar.bz2
Source1: wizdrake.menu.bz2
License: GPL
Group: System/Configuration/Other
Requires: drakxtools, perl, wizard, usermode
BuildRequires: gtk+-devel
#Requires: wizards_lib-global
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

%description
Wizdrake is an interface to launch different wizards.
It allows you to launch :

- server wizard: configures basic services.
- dhcp wizard: configures dhcp
- dns wizard: configures dns
- postfix, samba, firewall, web, ftp, news, time wizards...

%prep
%setup -q -n %{name}-%{version}-%{release} -q

%build
# to be sure to regenerate the rc
rm -f *rc
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUIILD_ROOT=$RPM_BUILD_ROOT

# consolehelper 
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -sf /usr/bin/consolehelper ${RPM_BUILD_ROOT}%{_bindir}/wizdrake
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
cp pam/pam.wizdrake-auth $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/wizdrake
cp pam/apps.wizdrake-auth  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/wizdrake


## menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/wizdrake

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/wizdrake/*
/usr/sbin/wizdrake
/usr/sbin/wizdrake.bin
/usr/bin/wizdrake
/usr/share/wizdrake/*
/usr/lib/menu/wizdrake
/usr/lib/wizdrake/*
/usr/share/icons/large/wizdrake.xpm
/usr/share/icons/wizdrake.xpm
/usr/share/icons/little.xpm
/usr/share/icons/mini/wizdrake.xpm
/usr/share/icons/*.png
%config(noreplace) %{_sysconfdir}/pam.d/wizdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/wizdrake

%changelog
*  Wed Nov 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.5-1mdk
- new squid proxy (Jerome Dumonteil) <jd@mandrakesoft.com>

*  Fri Sep 28 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.4-3mdk
- fix doc

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1.4-2mdk
- BuildRequires:        gtk+-devel

*  Fri Sep 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.4-1mdk
- png file

*  Fri Sep 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.3-1mdk
- fix label

*  Thu Sep 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.2-1mdk
- new version in perl

*  Thu Sep 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.1-1mdk
- logo, fix menu

*  Fri Sep 07 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1.0-1mdk
- fix xpm, fix exec

*  Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-1mdk
- fix firewall require: iptables , Bastille

*  Tue Sep 04 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.1-1mdk
- fix require

*  Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.2.0-1mdk
- consolehelper, requires

*  Mon Aug 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.1.7-1mdk
- fix menu, and pixmap

*  Mon Aug 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.1.6-1mdk
- fix path

*  Fri May 12 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.5-1mdk
- Traductions

*  Fri May 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.4-1mdk
- Fix installation bug

*  Fri May 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.3-1mdk
- Added Client wizard

*  Wed Apr 26 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.2-1mdk
- Fixed a bug in the menu installation

*  Fri Apr 21 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.1-1mdk
- Packaged for corporate beta 1

*  Wed Apr 19 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.0-1mdk
- Beta-test version

*  Wed Apr 19 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.24-1mdk
- Added missing icon, fixed bug in post-install

*  Mon Apr 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.21-1mdk
- Final menu commit

*  Mon Apr 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.20-1mdk
- Fixed installations glitches

*  Mon Apr 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.14-1mdk
- Changed icons, added icons in the menu

*  Mon Apr 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.13-1mdk
- Moved wizdrake one level down in the menu structure

*  Fri Apr 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.12-1mdk
- Changed the icons for the header and for the buttons

*  Fri Apr 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.11-1mdk
- Moved wizdrake from menu Configuration/Other to Configuration

*  Fri Apr 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.10-1mdk
- Changed the name of the server wizard in Basic configuration wizard


* Wed Apr 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.2-2mdk
- Fixed some bugs, added dependencies

* Tue Apr 11 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.1-1mdk
- first packaging

